PyQWT Installation

Python und das Qt-Toolkit, erstellen von GUIs mittels des Qt-Designers.
Antworten
alfonsospringer
User
Beiträge: 34
Registriert: Sonntag 24. August 2008, 21:50

Mittwoch 27. August 2008, 19:16

Hallo mal wieder. Ich versuche grade pyQwt zu installieren, aber ich bekomme immer eine Fehlermeldung, mit der ich nichts anzufangen weiss. Könnt ihr mir villeicht helfen? QWT selbst konnte ich problemlos installieren.

Code: Alles auswählen

ich@meinpc:~/Desktop/PyQwt-5.1.0/configure$ ./configure.py 
Command line options:
{'debug': False,
 'disable_numarray': False,
 'disable_numeric': False,
 'disable_numpy': False,
 'excluded_features': [],
 'extra_cflags': [],
 'extra_cxxflags': [],
 'extra_defines': [],
 'extra_include_dirs': [],
 'extra_lflags': [],
 'extra_lib_dirs': [],
 'extra_libs': [],
 'jobs': '',
 'module_install_path': '',
 'modules': [],
 'qt': 4,
 'qwt_sources': '',
 'sip_include_dirs': [],
 'subdirs': [],
 'timelines': [],
 'trace': ''}

Found SIP-4.7.3.
Found 'posix' operating system:
2.5.2 (r252:60911, Jul 31 2008, 17:28:52) 
[GCC 4.2.3 (Ubuntu 4.2.3-2ubuntu7)]
Do not get upset by error messages in the next 3 compiler checks:
Check if 'size_t' and 'unsigned int' are the same type:
YES
Check if 'size_t' and 'unsigned long' are the same type:
size_t_check.cpp:3: Fehler: Prototyp für »void a::f(long unsigned int)« passt zu nichts in Klasse »a«
size_t_check.cpp:2: Fehler: Kandidat ist: void a::f(size_t)
NO
Check if 'size_t' and 'unsigned long long' are the same type:
size_t_check.cpp:3: Fehler: Prototyp für »void a::f(long long unsigned int)« passt zu nichts in Klasse »a«
size_t_check.cpp:2: Fehler: Kandidat ist: void a::f(size_t)
NO
Found numarray-1.5.2.

Found Numeric-24.2.

Found NumPy-1.0.4.

qwt_version_info.cpp:2:24: Fehler: qwt_global.h: No such file or directory
qwt_version_info.cpp: In function »int main(int, char**)«:
qwt_version_info.cpp:13: Fehler: »QWT_VERSION« wurde in diesem Gültigkeitsbereich nicht definiert
qwt_version_info.cpp:14: Fehler: »QWT_VERSION_STR« wurde in diesem Gültigkeitsbereich nicht definiert
Failed to build the qwt_version_info tool.
Ich habe in der Installationsanleitung nachgeschaut und ich glaube nichts falsch gemacht zu haben.
Antworten